import { MetaManager } from "tangl-viewer";
import { PropType } from "vue";
/**
 * Models tree for tangl-viewer.
 * Provides UI for models structure navigation and element selection.
 */
declare const _sfc_main: import("vue").DefineComponent<{
    /**MetaManager instance.*/
    metaManager: {
        type: PropType<MetaManager>;
        required: true;
    };
}, {
    metaTreeTheme: {
        common: {
            borderRadius: string;
            fontSize: string;
            primaryColor: string;
            primaryColorHover: string;
            cubicBezierEaseInOut: string;
            cubicBezierEaseOut: string;
            cubicBezierEaseIn: string;
        };
        Tree: {
            nodeColorHover: string;
            nodeColorPressed: string;
            nodeColorActive: string;
        };
    };
}, {
    /** Search pattern for tree filter. */
    pattern: string;
    /** Selected tree node keys. */
    selectedKeys: string[];
    pendingNodeKey: undefined;
    expandedKeys: string[];
    observer: ResizeObserver;
    /** SLoaded tree from MetaManager. */
    metaTree: any[];
    /** Tree component instance. */
    treeView: import("vue").DefineComponent<{
        readonly internalTreeSelect: BooleanConstructor;
        readonly internalScrollable: BooleanConstructor;
        readonly internalScrollablePadding: StringConstructor;
        readonly internalRenderEmpty: PropType<() => import("vue").VNodeChild>;
        readonly internalHighlightKeySet: PropType<Set<import("naive-ui/es/tree/src/interface").Key> | null>;
        readonly internalUnifySelectCheck: BooleanConstructor;
        readonly internalCheckboxFocusable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly internalFocusable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly checkStrategy: {
            readonly type: PropType<import("treemate").CheckStrategy>;
            readonly default: "all";
        };
        readonly leafOnly: BooleanConstructor;
        readonly allowCheckingNotLoaded: BooleanConstructor;
        readonly filter: PropType<(pattern: string, node: import("naive-ui").TreeOption) => boolean>;
        readonly defaultExpandAll: BooleanConstructor;
        readonly expandedKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly keyField: {
            readonly type: StringConstructor;
            readonly default: "key";
        };
        readonly labelField: {
            readonly type: StringConstructor;
            readonly default: "label";
        };
        readonly childrenField: {
            readonly type: StringConstructor;
            readonly default: "children";
        };
        readonly disabledField: {
            readonly type: StringConstructor;
            readonly default: "disabled";
        };
        readonly defaultExpandedKeys: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
            readonly default: () => never[];
        };
        readonly indeterminateKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly renderSwitcherIcon: PropType<import("naive-ui/es/tree/src/interface").RenderSwitcherIcon>;
        readonly onUpdateIndeterminateKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateIndeterminateKeys>>;
        readonly 'onUpdate:indeterminateKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateIndeterminateKeys>>;
        readonly onUpdateExpandedKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").onUpdateExpandedKeys>>;
        readonly 'onUpdate:expandedKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").onUpdateExpandedKeys>>;
        readonly accordion: BooleanConstructor;
        readonly showIrrelevantNodes: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly data: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").TreeOptions>;
            readonly default: () => never[];
        };
        readonly expandOnDragenter: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly expandOnClick: BooleanConstructor;
        readonly checkOnClick: {
            readonly type: PropType<boolean | import("naive-ui/es/tree/src/interface").CheckOnClick>;
            readonly default: false;
        };
        readonly cancelable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly checkable: BooleanConstructor;
        readonly draggable: BooleanConstructor;
        readonly blockNode: BooleanConstructor;
        readonly blockLine: BooleanConstructor;
        readonly showLine: BooleanConstructor;
        readonly disabled: BooleanConstructor;
        readonly checkedKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly defaultCheckedKeys: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
            readonly default: () => never[];
        };
        readonly selectedKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly defaultSelectedKeys: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
            readonly default: () => never[];
        };
        readonly multiple: BooleanConstructor;
        readonly pattern: {
            readonly type: StringConstructor;
            readonly default: "";
        };
        readonly onLoad: PropType<import("naive-ui/es/tree/src/interface").OnLoad>;
        readonly cascade: BooleanConstructor;
        readonly selectable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly scrollbarProps: PropType<import("naive-ui").ScrollbarProps>;
        readonly indent: {
            readonly type: NumberConstructor;
            readonly default: 24;
        };
        readonly allowDrop: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").AllowDrop>;
            readonly default: typeof import("naive-ui/es/tree/src/dnd").defaultAllowDrop;
        };
        readonly animated: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly checkboxPlacement: {
            readonly type: PropType<"left" | "right">;
            readonly default: "left";
        };
        readonly virtualScroll: BooleanConstructor;
        readonly watchProps: PropType<("defaultExpandedKeys" | "defaultCheckedKeys" | "defaultSelectedKeys")[]>;
        readonly renderLabel: PropType<({ option, checked, selected }: import("naive-ui/es/tree/src/interface").TreeRenderProps) => import("vue").VNodeChild>;
        readonly renderPrefix: PropType<({ option, checked, selected }: import("naive-ui/es/tree/src/interface").TreeRenderProps) => import("vue").VNodeChild>;
        readonly renderSuffix: PropType<({ option, checked, selected }: import("naive-ui/es/tree/src/interface").TreeRenderProps) => import("vue").VNodeChild>;
        readonly nodeProps: PropType<import("naive-ui/es/tree/src/interface").TreeNodeProps>;
        readonly keyboard: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly getChildren: PropType<import("naive-ui/es/tree/src/interface").GetChildren>;
        readonly onDragenter: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragleave: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragend: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragstart: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragover: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDrop: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDropInfo) => void>>;
        readonly onUpdateCheckedKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateCheckedKeys>>;
        readonly 'onUpdate:checkedKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateCheckedKeys>>;
        readonly onUpdateSelectedKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateSelectedKeys>>;
        readonly 'onUpdate:selectedKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateSelectedKeys>>;
        readonly theme: PropType<import("naive-ui/es/_mixins").Theme<"Tree", {
            fontSize: string;
            lineHeight: string;
            nodeHeight: string;
            nodeWrapperPadding: string;
            nodeBorderRadius: string;
            nodeColorHover: string;
            nodeColorPressed: string;
            nodeColorActive: string;
            arrowColor: string;
            nodeTextColor: string;
            nodeTextColorDisabled: string;
            loadingColor: string;
            dropMarkColor: string;
        }, {
            Checkbox: import("naive-ui/es/_mixins").Theme<"Checkbox", {
                labelLineHeight: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                borderRadius: string;
                color: string;
                colorChecked: string;
                colorDisabled: string;
                colorDisabledChecked: string;
                colorTableHeader: string;
                colorTableHeaderModal: string;
                colorTableHeaderPopover: string;
                checkMarkColor: string;
                checkMarkColorDisabled: string;
                checkMarkColorDisabledChecked: string;
                border: string;
                borderDisabled: string;
                borderDisabledChecked: string;
                borderChecked: string;
                borderFocus: string;
                boxShadowFocus: string;
                textColor: string;
                textColorDisabled: string;
                sizeSmall: string;
                sizeMedium: string;
                sizeLarge: string;
                labelPadding: string;
                labelFontWeight: string;
            }, any>;
            Scrollbar: import("naive-ui/es/_mixins").Theme<"Scrollbar", {
                color: string;
                colorHover: string;
            }, any>;
            Empty: import("naive-ui/es/_mixins").Theme<"Empty", {
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                textColor: string;
                iconColor: string;
                extraTextColor: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                iconSizeHuge: string;
            }, any>;
        }>>;
        readonly themeOverrides: PropType<import("naive-ui/es/_mixins/use-theme").ExtractThemeOverrides<import("naive-ui/es/_mixins").Theme<"Tree", {
            fontSize: string;
            lineHeight: string;
            nodeHeight: string;
            nodeWrapperPadding: string;
            nodeBorderRadius: string;
            nodeColorHover: string;
            nodeColorPressed: string;
            nodeColorActive: string;
            arrowColor: string;
            nodeTextColor: string;
            nodeTextColorDisabled: string;
            loadingColor: string;
            dropMarkColor: string;
        }, {
            Checkbox: import("naive-ui/es/_mixins").Theme<"Checkbox", {
                labelLineHeight: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                borderRadius: string;
                color: string;
                colorChecked: string;
                colorDisabled: string;
                colorDisabledChecked: string;
                colorTableHeader: string;
                colorTableHeaderModal: string;
                colorTableHeaderPopover: string;
                checkMarkColor: string;
                checkMarkColorDisabled: string;
                checkMarkColorDisabledChecked: string;
                border: string;
                borderDisabled: string;
                borderDisabledChecked: string;
                borderChecked: string;
                borderFocus: string;
                boxShadowFocus: string;
                textColor: string;
                textColorDisabled: string;
                sizeSmall: string;
                sizeMedium: string;
                sizeLarge: string;
                labelPadding: string;
                labelFontWeight: string;
            }, any>;
            Scrollbar: import("naive-ui/es/_mixins").Theme<"Scrollbar", {
                color: string;
                colorHover: string;
            }, any>;
            Empty: import("naive-ui/es/_mixins").Theme<"Empty", {
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                textColor: string;
                iconColor: string;
                extraTextColor: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                iconSizeHuge: string;
            }, any>;
        }>>>;
        readonly builtinThemeOverrides: PropType<import("naive-ui/es/_mixins/use-theme").ExtractThemeOverrides<import("naive-ui/es/_mixins").Theme<"Tree", {
            fontSize: string;
            lineHeight: string;
            nodeHeight: string;
            nodeWrapperPadding: string;
            nodeBorderRadius: string;
            nodeColorHover: string;
            nodeColorPressed: string;
            nodeColorActive: string;
            arrowColor: string;
            nodeTextColor: string;
            nodeTextColorDisabled: string;
            loadingColor: string;
            dropMarkColor: string;
        }, {
            Checkbox: import("naive-ui/es/_mixins").Theme<"Checkbox", {
                labelLineHeight: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                borderRadius: string;
                color: string;
                colorChecked: string;
                colorDisabled: string;
                colorDisabledChecked: string;
                colorTableHeader: string;
                colorTableHeaderModal: string;
                colorTableHeaderPopover: string;
                checkMarkColor: string;
                checkMarkColorDisabled: string;
                checkMarkColorDisabledChecked: string;
                border: string;
                borderDisabled: string;
                borderDisabledChecked: string;
                borderChecked: string;
                borderFocus: string;
                boxShadowFocus: string;
                textColor: string;
                textColorDisabled: string;
                sizeSmall: string;
                sizeMedium: string;
                sizeLarge: string;
                labelPadding: string;
                labelFontWeight: string;
            }, any>;
            Scrollbar: import("naive-ui/es/_mixins").Theme<"Scrollbar", {
                color: string;
                colorHover: string;
            }, any>;
            Empty: import("naive-ui/es/_mixins").Theme<"Empty", {
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                textColor: string;
                iconColor: string;
                extraTextColor: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                iconSizeHuge: string;
            }, any>;
        }>>>;
    }, {
        mergedClsPrefix: import("vue").Ref<string>;
        mergedTheme: import("vue").ComputedRef<{
            common: {
                baseColor: string;
                primaryColor: string;
                primaryColorHover: string;
                primaryColorPressed: string;
                primaryColorSuppl: string;
                infoColor: string;
                infoColorHover: string;
                infoColorPressed: string;
                infoColorSuppl: string;
                successColor: string;
                successColorHover: string;
                successColorPressed: string;
                successColorSuppl: string;
                warningColor: string;
                warningColorHover: string;
                warningColorPressed: string;
                warningColorSuppl: string;
                errorColor: string;
                errorColorHover: string;
                errorColorPressed: string;
                errorColorSuppl: string;
                textColorBase: string;
                textColor1: string;
                textColor2: string;
                textColor3: string;
                textColorDisabled: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                iconColor: string;
                iconColorHover: string;
                iconColorPressed: string;
                iconColorDisabled: string;
                opacity1: string;
                opacity2: string;
                opacity3: string;
                opacity4: string;
                opacity5: string;
                dividerColor: string;
                borderColor: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeColorHover: string;
                closeColorPressed: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                scrollbarColor: string;
                scrollbarColorHover: string;
                scrollbarWidth: string;
                scrollbarHeight: string;
                scrollbarBorderRadius: string;
                progressRailColor: string;
                railColor: string;
                popoverColor: string;
                tableColor: string;
                cardColor: string;
                modalColor: string;
                bodyColor: string;
                tagColor: string;
                avatarColor: string;
                invertedColor: string;
                inputColor: string;
                codeColor: string;
                tabColor: string;
                actionColor: string;
                tableHeaderColor: string;
                hoverColor: string;
                tableColorHover: string;
                tableColorStriped: string;
                pressedColor: string;
                opacityDisabled: string;
                inputColorDisabled: string;
                buttonColor2: string;
                buttonColor2Hover: string;
                buttonColor2Pressed: string;
                boxShadow1: string;
                boxShadow2: string;
                boxShadow3: string;
                fontFamily: string;
                fontFamilyMono: string;
                fontWeight: string;
                fontWeightStrong: string;
                cubicBezierEaseInOut: string;
                cubicBezierEaseOut: string;
                cubicBezierEaseIn: string;
                borderRadius: string;
                borderRadiusSmall: string;
                fontSize: string;
                fontSizeMini: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                lineHeight: string;
                heightMini: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                heightHuge: string;
                name: "common";
            };
            self: {
                fontSize: string;
                lineHeight: string;
                nodeHeight: string;
                nodeWrapperPadding: string;
                nodeBorderRadius: string;
                nodeColorHover: string;
                nodeColorPressed: string;
                nodeColorActive: string;
                arrowColor: string;
                nodeTextColor: string;
                nodeTextColorDisabled: string;
                loadingColor: string;
                dropMarkColor: string;
            };
            peers: {
                Checkbox: import("naive-ui/es/_mixins").Theme<"Checkbox", {
                    labelLineHeight: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    borderRadius: string;
                    color: string;
                    colorChecked: string;
                    colorDisabled: string;
                    colorDisabledChecked: string;
                    colorTableHeader: string;
                    colorTableHeaderModal: string;
                    colorTableHeaderPopover: string;
                    checkMarkColor: string;
                    checkMarkColorDisabled: string;
                    checkMarkColorDisabledChecked: string;
                    border: string;
                    borderDisabled: string;
                    borderDisabledChecked: string;
                    borderChecked: string;
                    borderFocus: string;
                    boxShadowFocus: string;
                    textColor: string;
                    textColorDisabled: string;
                    sizeSmall: string;
                    sizeMedium: string;
                    sizeLarge: string;
                    labelPadding: string;
                    labelFontWeight: string;
                }, any>;
                Scrollbar: import("naive-ui/es/_mixins").Theme<"Scrollbar", {
                    color: string;
                    colorHover: string;
                }, any>;
                Empty: import("naive-ui/es/_mixins").Theme<"Empty", {
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            };
            peerOverrides: {
                Checkbox?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Scrollbar?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Empty?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
            };
        }>;
        rtlEnabled: import("vue").Ref<import("naive-ui/es/config-provider/src/internal-interface").RtlItem | undefined> | undefined;
        fNodes: import("vue").ComputedRef<({
            key: import("treemate").Key;
            rawNode: {
                [x: string]: unknown;
                key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                label?: string | undefined;
                checkboxDisabled?: boolean | undefined;
                disabled?: boolean | undefined;
                isLeaf?: boolean | undefined;
                children?: any[] | undefined;
                prefix?: (() => import("vue").VNodeChild) | undefined;
                suffix?: (() => import("vue").VNodeChild) | undefined;
            };
            level: number;
            index: number;
            isFirstChild: boolean;
            isLastChild: boolean;
            parent: {
                key: import("treemate").Key;
                rawNode: {
                    [x: string]: unknown;
                    key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                    label?: string | undefined;
                    checkboxDisabled?: boolean | undefined;
                    disabled?: boolean | undefined;
                    isLeaf?: boolean | undefined;
                    children?: any[] | undefined;
                    prefix?: (() => import("vue").VNodeChild) | undefined;
                    suffix?: (() => import("vue").VNodeChild) | undefined;
                };
                level: number;
                index: number;
                isFirstChild: boolean;
                isLastChild: boolean;
                parent: any;
                isLeaf: boolean;
                isGroup: boolean;
                ignored: boolean;
                shallowLoaded: boolean;
                disabled: boolean;
                siblings: any[];
                children?: any[] | undefined;
                getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
            } | null;
            isLeaf: boolean;
            isGroup: boolean;
            ignored: boolean;
            shallowLoaded: boolean;
            disabled: boolean;
            siblings: {
                key: import("treemate").Key;
                rawNode: {
                    [x: string]: unknown;
                    key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                    label?: string | undefined;
                    checkboxDisabled?: boolean | undefined;
                    disabled?: boolean | undefined;
                    isLeaf?: boolean | undefined;
                    children?: any[] | undefined;
                    prefix?: (() => import("vue").VNodeChild) | undefined;
                    suffix?: (() => import("vue").VNodeChild) | undefined;
                };
                level: number;
                index: number;
                isFirstChild: boolean;
                isLastChild: boolean;
                parent: any;
                isLeaf: boolean;
                isGroup: boolean;
                ignored: boolean;
                shallowLoaded: boolean;
                disabled: boolean;
                siblings: any[];
                children?: any[] | undefined;
                getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
            }[];
            children?: {
                key: import("treemate").Key;
                rawNode: {
                    [x: string]: unknown;
                    key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                    label?: string | undefined;
                    checkboxDisabled?: boolean | undefined;
                    disabled?: boolean | undefined;
                    isLeaf?: boolean | undefined;
                    children?: any[] | undefined;
                    prefix?: (() => import("vue").VNodeChild) | undefined;
                    suffix?: (() => import("vue").VNodeChild) | undefined;
                };
                level: number;
                index: number;
                isFirstChild: boolean;
                isLastChild: boolean;
                parent: any;
                isLeaf: boolean;
                isGroup: boolean;
                ignored: boolean;
                shallowLoaded: boolean;
                disabled: boolean;
                siblings: any[];
                children?: any[] | undefined;
                getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
            }[] | undefined;
            getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
            getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
            getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
            getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
            contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
        } | {
            __motion: true;
            height: number | undefined;
            mode: "collapse" | "expand";
            nodes: {
                key: import("treemate").Key;
                rawNode: {
                    [x: string]: unknown;
                    key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                    label?: string | undefined;
                    checkboxDisabled?: boolean | undefined;
                    disabled?: boolean | undefined;
                    isLeaf?: boolean | undefined;
                    children?: any[] | undefined;
                    prefix?: (() => import("vue").VNodeChild) | undefined;
                    suffix?: (() => import("vue").VNodeChild) | undefined;
                };
                level: number;
                index: number;
                isFirstChild: boolean;
                isLastChild: boolean;
                parent: {
                    key: import("treemate").Key;
                    rawNode: {
                        [x: string]: unknown;
                        key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                        label?: string | undefined;
                        checkboxDisabled?: boolean | undefined;
                        disabled?: boolean | undefined;
                        isLeaf?: boolean | undefined;
                        children?: any[] | undefined;
                        prefix?: (() => import("vue").VNodeChild) | undefined;
                        suffix?: (() => import("vue").VNodeChild) | undefined;
                    };
                    level: number;
                    index: number;
                    isFirstChild: boolean;
                    isLastChild: boolean;
                    parent: any;
                    isLeaf: boolean;
                    isGroup: boolean;
                    ignored: boolean;
                    shallowLoaded: boolean;
                    disabled: boolean;
                    siblings: any[];
                    children?: any[] | undefined;
                    getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
                } | null;
                isLeaf: boolean;
                isGroup: boolean;
                ignored: boolean;
                shallowLoaded: boolean;
                disabled: boolean;
                siblings: {
                    key: import("treemate").Key;
                    rawNode: {
                        [x: string]: unknown;
                        key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                        label?: string | undefined;
                        checkboxDisabled?: boolean | undefined;
                        disabled?: boolean | undefined;
                        isLeaf?: boolean | undefined;
                        children?: any[] | undefined;
                        prefix?: (() => import("vue").VNodeChild) | undefined;
                        suffix?: (() => import("vue").VNodeChild) | undefined;
                    };
                    level: number;
                    index: number;
                    isFirstChild: boolean;
                    isLastChild: boolean;
                    parent: any;
                    isLeaf: boolean;
                    isGroup: boolean;
                    ignored: boolean;
                    shallowLoaded: boolean;
                    disabled: boolean;
                    siblings: any[];
                    children?: any[] | undefined;
                    getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
                }[];
                children?: {
                    key: import("treemate").Key;
                    rawNode: {
                        [x: string]: unknown;
                        key?: import("naive-ui/es/tree/src/interface").Key | undefined;
                        label?: string | undefined;
                        checkboxDisabled?: boolean | undefined;
                        disabled?: boolean | undefined;
                        isLeaf?: boolean | undefined;
                        children?: any[] | undefined;
                        prefix?: (() => import("vue").VNodeChild) | undefined;
                        suffix?: (() => import("vue").VNodeChild) | undefined;
                    };
                    level: number;
                    index: number;
                    isFirstChild: boolean;
                    isLastChild: boolean;
                    parent: any;
                    isLeaf: boolean;
                    isGroup: boolean;
                    ignored: boolean;
                    shallowLoaded: boolean;
                    disabled: boolean;
                    siblings: any[];
                    children?: any[] | undefined;
                    getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                    contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
                }[] | undefined;
                getPrev: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getNext: (options?: import("treemate/lib/interface").GetPrevNextOptions | undefined) => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getParent: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                getChild: () => import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null;
                contains: (treeNode: import("treemate").TreeNode<import("naive-ui").TreeOption, import("naive-ui").TreeOption, import("naive-ui").TreeOption> | null | undefined) => boolean;
            }[];
        })[]>;
        aip: import("vue").Ref<boolean>;
        selfElRef: import("vue").Ref<HTMLDivElement | null>;
        virtualListInstRef: import("vue").Ref<{
            listElRef: HTMLElement;
            itemsElRef: HTMLElement | null;
            scrollTo: import("vueuc/lib/virtual-list/src/VirtualList").ScrollTo;
        } | null>;
        scrollbarInstRef: import("vue").Ref<{
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("naive-ui/es/_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("naive-ui/es/_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | null>;
        handleFocusout: (e: FocusEvent) => void;
        handleDragLeaveTree: (e: DragEvent) => void;
        handleScroll: () => void;
        getScrollContainer: () => HTMLElement | null | undefined;
        getScrollContent: () => HTMLElement | null | undefined;
        handleAfterEnter: () => void;
        handleResize: () => void;
        cssVars: import("vue").ComputedRef<{
            '--n-arrow-color': string;
            '--n-loading-color': string;
            '--n-bezier': string;
            '--n-font-size': string;
            '--n-node-border-radius': string;
            '--n-node-color-active': string;
            '--n-node-color-hover': string;
            '--n-node-color-pressed': string;
            '--n-node-text-color': string;
            '--n-node-text-color-disabled': string;
            '--n-drop-mark-color': string;
            '--n-node-wrapper-padding': string;
            '--n-line-offset-top': string;
            '--n-line-offset-bottom': string;
            '--n-node-content-height': string;
            '--n-line-height': string;
        }> | undefined;
        themeClass: import("vue").Ref<string> | undefined;
        onRender: (() => void) | undefined;
        handleKeydown: (e: KeyboardEvent) => void;
        scrollTo: (options: {
            key: import("naive-ui/es/tree/src/interface").Key;
        }) => void;
        getCheckedData: () => {
            keys: import("naive-ui/es/tree/src/interface").Key[];
            options: (import("naive-ui").TreeOption | null)[];
        };
        getIndeterminateData: () => {
            keys: import("naive-ui/es/tree/src/interface").Key[];
            options: (import("naive-ui").TreeOption | null)[];
        };
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        readonly internalTreeSelect: BooleanConstructor;
        readonly internalScrollable: BooleanConstructor;
        readonly internalScrollablePadding: StringConstructor;
        readonly internalRenderEmpty: PropType<() => import("vue").VNodeChild>;
        readonly internalHighlightKeySet: PropType<Set<import("naive-ui/es/tree/src/interface").Key> | null>;
        readonly internalUnifySelectCheck: BooleanConstructor;
        readonly internalCheckboxFocusable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly internalFocusable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly checkStrategy: {
            readonly type: PropType<import("treemate").CheckStrategy>;
            readonly default: "all";
        };
        readonly leafOnly: BooleanConstructor;
        readonly allowCheckingNotLoaded: BooleanConstructor;
        readonly filter: PropType<(pattern: string, node: import("naive-ui").TreeOption) => boolean>;
        readonly defaultExpandAll: BooleanConstructor;
        readonly expandedKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly keyField: {
            readonly type: StringConstructor;
            readonly default: "key";
        };
        readonly labelField: {
            readonly type: StringConstructor;
            readonly default: "label";
        };
        readonly childrenField: {
            readonly type: StringConstructor;
            readonly default: "children";
        };
        readonly disabledField: {
            readonly type: StringConstructor;
            readonly default: "disabled";
        };
        readonly defaultExpandedKeys: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
            readonly default: () => never[];
        };
        readonly indeterminateKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly renderSwitcherIcon: PropType<import("naive-ui/es/tree/src/interface").RenderSwitcherIcon>;
        readonly onUpdateIndeterminateKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateIndeterminateKeys>>;
        readonly 'onUpdate:indeterminateKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateIndeterminateKeys>>;
        readonly onUpdateExpandedKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").onUpdateExpandedKeys>>;
        readonly 'onUpdate:expandedKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").onUpdateExpandedKeys>>;
        readonly accordion: BooleanConstructor;
        readonly showIrrelevantNodes: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly data: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").TreeOptions>;
            readonly default: () => never[];
        };
        readonly expandOnDragenter: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly expandOnClick: BooleanConstructor;
        readonly checkOnClick: {
            readonly type: PropType<boolean | import("naive-ui/es/tree/src/interface").CheckOnClick>;
            readonly default: false;
        };
        readonly cancelable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly checkable: BooleanConstructor;
        readonly draggable: BooleanConstructor;
        readonly blockNode: BooleanConstructor;
        readonly blockLine: BooleanConstructor;
        readonly showLine: BooleanConstructor;
        readonly disabled: BooleanConstructor;
        readonly checkedKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly defaultCheckedKeys: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
            readonly default: () => never[];
        };
        readonly selectedKeys: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
        readonly defaultSelectedKeys: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").Key[]>;
            readonly default: () => never[];
        };
        readonly multiple: BooleanConstructor;
        readonly pattern: {
            readonly type: StringConstructor;
            readonly default: "";
        };
        readonly onLoad: PropType<import("naive-ui/es/tree/src/interface").OnLoad>;
        readonly cascade: BooleanConstructor;
        readonly selectable: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly scrollbarProps: PropType<import("naive-ui").ScrollbarProps>;
        readonly indent: {
            readonly type: NumberConstructor;
            readonly default: 24;
        };
        readonly allowDrop: {
            readonly type: PropType<import("naive-ui/es/tree/src/interface").AllowDrop>;
            readonly default: typeof import("naive-ui/es/tree/src/dnd").defaultAllowDrop;
        };
        readonly animated: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly checkboxPlacement: {
            readonly type: PropType<"left" | "right">;
            readonly default: "left";
        };
        readonly virtualScroll: BooleanConstructor;
        readonly watchProps: PropType<("defaultExpandedKeys" | "defaultCheckedKeys" | "defaultSelectedKeys")[]>;
        readonly renderLabel: PropType<({ option, checked, selected }: import("naive-ui/es/tree/src/interface").TreeRenderProps) => import("vue").VNodeChild>;
        readonly renderPrefix: PropType<({ option, checked, selected }: import("naive-ui/es/tree/src/interface").TreeRenderProps) => import("vue").VNodeChild>;
        readonly renderSuffix: PropType<({ option, checked, selected }: import("naive-ui/es/tree/src/interface").TreeRenderProps) => import("vue").VNodeChild>;
        readonly nodeProps: PropType<import("naive-ui/es/tree/src/interface").TreeNodeProps>;
        readonly keyboard: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly getChildren: PropType<import("naive-ui/es/tree/src/interface").GetChildren>;
        readonly onDragenter: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragleave: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragend: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragstart: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDragover: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDragInfo) => void>>;
        readonly onDrop: PropType<import("naive-ui/es/_utils").MaybeArray<(e: import("naive-ui").TreeDropInfo) => void>>;
        readonly onUpdateCheckedKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateCheckedKeys>>;
        readonly 'onUpdate:checkedKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateCheckedKeys>>;
        readonly onUpdateSelectedKeys: PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateSelectedKeys>>;
        readonly 'onUpdate:selectedKeys': PropType<import("naive-ui/es/_utils").MaybeArray<import("naive-ui/es/tree/src/Tree").OnUpdateSelectedKeys>>;
        readonly theme: PropType<import("naive-ui/es/_mixins").Theme<"Tree", {
            fontSize: string;
            lineHeight: string;
            nodeHeight: string;
            nodeWrapperPadding: string;
            nodeBorderRadius: string;
            nodeColorHover: string;
            nodeColorPressed: string;
            nodeColorActive: string;
            arrowColor: string;
            nodeTextColor: string;
            nodeTextColorDisabled: string;
            loadingColor: string;
            dropMarkColor: string;
        }, {
            Checkbox: import("naive-ui/es/_mixins").Theme<"Checkbox", {
                labelLineHeight: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                borderRadius: string;
                color: string;
                colorChecked: string;
                colorDisabled: string;
                colorDisabledChecked: string;
                colorTableHeader: string;
                colorTableHeaderModal: string;
                colorTableHeaderPopover: string;
                checkMarkColor: string;
                checkMarkColorDisabled: string;
                checkMarkColorDisabledChecked: string;
                border: string;
                borderDisabled: string;
                borderDisabledChecked: string;
                borderChecked: string;
                borderFocus: string;
                boxShadowFocus: string;
                textColor: string;
                textColorDisabled: string;
                sizeSmall: string;
                sizeMedium: string;
                sizeLarge: string;
                labelPadding: string;
                labelFontWeight: string;
            }, any>;
            Scrollbar: import("naive-ui/es/_mixins").Theme<"Scrollbar", {
                color: string;
                colorHover: string;
            }, any>;
            Empty: import("naive-ui/es/_mixins").Theme<"Empty", {
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                textColor: string;
                iconColor: string;
                extraTextColor: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                iconSizeHuge: string;
            }, any>;
        }>>;
        readonly themeOverrides: PropType<import("naive-ui/es/_mixins/use-theme").ExtractThemeOverrides<import("naive-ui/es/_mixins").Theme<"Tree", {
            fontSize: string;
            lineHeight: string;
            nodeHeight: string;
            nodeWrapperPadding: string;
            nodeBorderRadius: string;
            nodeColorHover: string;
            nodeColorPressed: string;
            nodeColorActive: string;
            arrowColor: string;
            nodeTextColor: string;
            nodeTextColorDisabled: string;
            loadingColor: string;
            dropMarkColor: string;
        }, {
            Checkbox: import("naive-ui/es/_mixins").Theme<"Checkbox", {
                labelLineHeight: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                borderRadius: string;
                color: string;
                colorChecked: string;
                colorDisabled: string;
                colorDisabledChecked: string;
                colorTableHeader: string;
                colorTableHeaderModal: string;
                colorTableHeaderPopover: string;
                checkMarkColor: string;
                checkMarkColorDisabled: string;
                checkMarkColorDisabledChecked: string;
                border: string;
                borderDisabled: string;
                borderDisabledChecked: string;
                borderChecked: string;
                borderFocus: string;
                boxShadowFocus: string;
                textColor: string;
                textColorDisabled: string;
                sizeSmall: string;
                sizeMedium: string;
                sizeLarge: string;
                labelPadding: string;
                labelFontWeight: string;
            }, any>;
            Scrollbar: import("naive-ui/es/_mixins").Theme<"Scrollbar", {
                color: string;
                colorHover: string;
            }, any>;
            Empty: import("naive-ui/es/_mixins").Theme<"Empty", {
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                textColor: string;
                iconColor: string;
                extraTextColor: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                iconSizeHuge: string;
            }, any>;
        }>>>;
        readonly builtinThemeOverrides: PropType<import("naive-ui/es/_mixins/use-theme").ExtractThemeOverrides<import("naive-ui/es/_mixins").Theme<"Tree", {
            fontSize: string;
            lineHeight: string;
            nodeHeight: string;
            nodeWrapperPadding: string;
            nodeBorderRadius: string;
            nodeColorHover: string;
            nodeColorPressed: string;
            nodeColorActive: string;
            arrowColor: string;
            nodeTextColor: string;
            nodeTextColorDisabled: string;
            loadingColor: string;
            dropMarkColor: string;
        }, {
            Checkbox: import("naive-ui/es/_mixins").Theme<"Checkbox", {
                labelLineHeight: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                borderRadius: string;
                color: string;
                colorChecked: string;
                colorDisabled: string;
                colorDisabledChecked: string;
                colorTableHeader: string;
                colorTableHeaderModal: string;
                colorTableHeaderPopover: string;
                checkMarkColor: string;
                checkMarkColorDisabled: string;
                checkMarkColorDisabledChecked: string;
                border: string;
                borderDisabled: string;
                borderDisabledChecked: string;
                borderChecked: string;
                borderFocus: string;
                boxShadowFocus: string;
                textColor: string;
                textColorDisabled: string;
                sizeSmall: string;
                sizeMedium: string;
                sizeLarge: string;
                labelPadding: string;
                labelFontWeight: string;
            }, any>;
            Scrollbar: import("naive-ui/es/_mixins").Theme<"Scrollbar", {
                color: string;
                colorHover: string;
            }, any>;
            Empty: import("naive-ui/es/_mixins").Theme<"Empty", {
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                textColor: string;
                iconColor: string;
                extraTextColor: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                iconSizeHuge: string;
            }, any>;
        }>>>;
    }>>, {
        readonly pattern: string;
        readonly data: import("naive-ui/es/tree/src/interface").TreeOptions;
        readonly multiple: boolean;
        readonly disabled: boolean;
        readonly draggable: boolean;
        readonly keyField: string;
        readonly labelField: string;
        readonly virtualScroll: boolean;
        readonly checkable: boolean;
        readonly animated: boolean;
        readonly cancelable: boolean;
        readonly keyboard: boolean;
        readonly childrenField: string;
        readonly defaultExpandAll: boolean;
        readonly allowCheckingNotLoaded: boolean;
        readonly cascade: boolean;
        readonly indent: number;
        readonly internalScrollable: boolean;
        readonly checkStrategy: import("treemate").CheckStrategy;
        readonly disabledField: string;
        readonly leafOnly: boolean;
        readonly accordion: boolean;
        readonly defaultExpandedKeys: import("naive-ui/es/tree/src/interface").Key[];
        readonly selectable: boolean;
        readonly expandOnClick: boolean;
        readonly blockLine: boolean;
        readonly checkboxPlacement: "left" | "right";
        readonly showLine: boolean;
        readonly defaultCheckedKeys: import("naive-ui/es/tree/src/interface").Key[];
        readonly defaultSelectedKeys: import("naive-ui/es/tree/src/interface").Key[];
        readonly internalTreeSelect: boolean;
        readonly internalUnifySelectCheck: boolean;
        readonly internalCheckboxFocusable: boolean;
        readonly internalFocusable: boolean;
        readonly showIrrelevantNodes: boolean;
        readonly expandOnDragenter: boolean;
        readonly checkOnClick: boolean | import("naive-ui/es/tree/src/interface").CheckOnClick;
        readonly blockNode: boolean;
        readonly allowDrop: import("naive-ui/es/tree/src/interface").AllowDrop;
    }, {}>;
    viewportHeight: number;
    /** Current selected navigation level. */
    selectedLevel: number;
    selectedNodes: never[];
    /** Current selected elements numbers. */
    selElNums: number[];
    switchToServer: string;
}, {}, {
    onMetaLoaded(): void;
    onSearch(pattern: string, node: any): any;
    onCopy(value: string): Promise<void>;
    init(): void;
    renderSuffix(args: any): any;
    renderLabel(args: any): any;
    onExpandedKeys(keys: string[]): void;
    onSelectedKeys(keys: string[], options: any): void;
    selectEls(elNum: number, forceExpand?: boolean): void;
    deselectAll(): void;
    setLevel(level: number): void;
    expandAll(): void;
    collapseAll(): void;
    decreaseLevel(): void;
    increaseLevel(): void;
    switchServer(): Promise<void>;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("mounted" | "selected")[], "mounted" | "selected", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**MetaManager instance.*/
    metaManager: {
        type: PropType<MetaManager>;
        required: true;
    };
}>> & {
    onMounted?: ((...args: any[]) => any) | undefined;
    onSelected?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _sfc_main;
//# sourceMappingURL=MetaTree.vue.d.ts.map