import { ControllerExtensionBase, ExtensionsManager } from "tangl-viewer";
/**
 * Toolbar for tangl-viewer.
 * Provides UI for controller extensions selection, mode extensions selection and shows
 * shared and dedicated extensions UI inside.
 */
declare const _sfc_main: import("vue").DefineComponent<{
    /**
     * Active viewer name. Used for getting managers from ViewerStore.
     */
    viewerName: {
        type: StringConstructor;
        default: string;
    };
}, {
    toolbarTheme: {
        common: {
            borderRadius: string;
            primaryColor: string;
            primaryColorHover: string;
            cubicBezierEaseInOut: string;
            cubicBezierEaseOut: string;
            cubicBezierEaseIn: string;
        };
    };
}, {
    /**ExtensionManager instance.*/
    extMan: ExtensionsManager;
    isFirefox: boolean;
    progress: number;
}, {
    selectedDedicatedToolbarName(): any;
    /** Get selected controller extension. */
    selectedController(): ControllerExtensionBase;
    /** Get all controller extensions list for dropdown component. */
    controllers(): {
        label: any;
        key: any;
        icon(): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
    }[];
}, {
    onProgress(e: ModelsProgressEvent): void;
    /**
     * Callback when controller extension selected in dropdown component.
     * @public
     * @group Callbacks
     * @param key {string} - Name of selected controller extension.
     */
    onControllerSelected(key: string): void;
    /**
     * Callback when mode extension selected in modes panel.
     * @public
     * @group Callbacks
     * @param key {string} - Name of selected mode extension.
     */
    onModeSelected(key: string): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Active viewer name. Used for getting managers from ViewerStore.
     */
    viewerName: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    viewerName: string;
}, {}>;
export default _sfc_main;
//# sourceMappingURL=Toolbar.vue.d.ts.map